Generation Framework

## org.eclipse.gmf.tooldef
Interface GenericStyleSelector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, StyleSelector

All Known Implementing Classes:
  GenericStyleSelectorImpl

    public interface GenericStyleSelector

extends StyleSelector

A representation of the model object 'Generic Style Selector'.

The following features are supported:

- `Values`

See Also:
  `GMFToolPackage.getGenericStyleSelector()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<AppearanceStyle>` `getValues()` Returns the value of the 'Values' attribute list.

Methods inherited from interface org.eclipse.gmf.tooldef.StyleSelector
`isOk`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValues

    org.eclipse.emf.common.util.EList<AppearanceStyle> getValues()

  Returns the value of the 'Values' attribute list. The list contents are of type `AppearanceStyle`. The literals are from the enumeration `AppearanceStyle`.

  If the meaning of the 'Values' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `AppearanceStyle`, `GMFToolPackage.getGenericStyleSelector_Values()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.tooldef.AppearanceStyle" required="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.